## ceph 0.41

=== debian/changelog ===
ceph (0.41-1ubuntu2) precise; urgency=low

  * d/control: switch from libcryptopp to libnss as libcryptopp is not
  seeded. (LP: #932896)
  * d/control,d/rules: move from python-support to dh_python2 per MIR
    review.
  * d/patches/manpage_updates*.patch: cherry picked upstream manpage
    updates warning about lack of encryption, per MIR review.
  * d/rules,d/control: Drop radosgw since libfcgi is not in main and
    the code may not be suitable for LTS.
  * d/rules,d/control: drop tcmalloc since google perftools is not
    in main yet.
  * d/rules,d/control: drop ceph-fuse entirely per MIR review
    recommendation.

 -- Clint Byrum <clint@ubuntu.com>  Thu, 12 Apr 2012 11:46:50 -0700

ceph (0.41-1ubuntu1) precise; urgency=low

  * d/control, d/ceph-fs-common.install, d/ceph-mds.install: Split out
    filesystem specific bits so they can be kept in universe.

 -- Clint Byrum <clint@ubuntu.com>  Wed, 15 Feb 2012 11:08:56 -0800

ceph (0.41-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 05 Feb 2012 10:07:38 +0100

=== debian/control ===
Source: ceph
Section: admin
Priority: optional
Homepage: http://ceph.newdream.net/
Vcs-Git: git://github.com/NewDreamNetwork/ceph.git
Vcs-Browser: https://github.com/NewDreamNetwork/ceph
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
Uploaders: Sage Weil <sage@newdream.net>
Build-Depends: debhelper (>= 6.0.7~), autotools-dev, autoconf, automake, libtool, pkg-config, libboost-dev, libedit-dev, libnss3-dev, libexpat1-dev, libatomic-ops-dev, libkeyutils-dev, libgtkmm-2.4-dev, python-dev, libcurl4-gnutls-dev, uuid-dev, python (>= 2.6.6-3~)
Standards-Version: 3.9.2

Package: ceph
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, hdparm | sdparm, binutils, ceph-common
Recommends: libcephfs1, librados2, librbd1, btrfs-tools, gceph
Description: distributed storage
 Ceph is a distributed storage and network file system designed to provide
 excellent performance, reliability, and scalability.
 .
 This package contains all server daemons and management tools for creating,
 running, and administering a Ceph storage cluster. This does not include
 the POSIX filesystem server, as that has been split into the ceph-mds
 package.

Package: ceph-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: ceph (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for ceph
 Ceph is a distributed storage and network file system designed to provide
 excellent performance, reliability, and scalability.
 .
 This package contains the debugging symbols for ceph.

Package: ceph-mds
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, ceph, ceph-fs-common
Description: distributed filesystem service
 Ceph is a distributed storage and network file system designed to provide
 excellent performance, reliability, and scalability.
 .
 This package contains the ceph-mds daemon, used for serving the distributed
 ceph filesystem on top of the distributed storage cluster.

Package: ceph-mds-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: ceph (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for ceph
 Ceph is a distributed storage and network file system designed to provide
 excellent performance, reliability, and scalability.
 .
 This package contains the debugging symbols for ceph-mds

Package: gceph
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: 
Suggests: ceph
Description: Graphical ceph cluster status utility
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 gtk-based gui to monitor cluster status, similar to the 'ceph'
 command.

Package: gceph-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: gceph (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for gceph
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 gtk-based gui to monitor cluster status, similar to the 'ceph'
 command.
 .
 This package contains the debugging symbols for gceph.

Package: ceph-common
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, librbd1 (= ${binary:Version})
Conflicts: ceph-client-tools
Replaces: ceph-client-tools
Suggests: ceph
Description: common utilities to mount and interact with a ceph filesystem
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a collection
 of common tools, including the mount utility, that allows one to mount the
 ceph fs with the kernel client.

Package: ceph-common-dbg
Architecture: linux-any
Depends: ceph-common (= ${binary:Version}), ${misc:Depends}
Conflicts: ceph-client-tools-dbg
Replaces: ceph-client-tools-dbg
Section: debug
Priority: extra
Description: debugging symbols for ceph-common
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a collection
 of common tools, including the mount utility, that allows one to mount the
 ceph fs with the kernel client.
 .
 This package contains the debugging symbols for ceph-common.

Package: ceph-fs-common
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, ceph-common (= ${binary:Version})
Conflicts: ceph-client-tools
Replaces: ceph-client-tools
Suggests: ceph
Description: common utilities to mount and interact with a ceph filesystem
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a collection
 of common tools, including the mount utility, that allows one to mount the
 ceph fs with the kernel client.
 .
 This package contains common utilities for the Ceph filesystem.

Package: ceph-fs-common-dbg
Architecture: linux-any
Depends: ceph-fs-common (= ${binary:Version}), ${misc:Depends}
Conflicts: ceph-client-tools-dbg
Replaces: ceph-client-tools-dbg
Section: debug
Priority: extra
Description: debugging symbols for ceph-fs-common
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a collection
 of common tools, including the mount utility, that allows one to mount the
 ceph fs with the kernel client.
 .
 This package contains the debugging symbols for ceph-fs-common.

Package: ceph-resource-agents
Architecture: linux-any
Recommends: pacemaker
Priority: extra
Depends: ceph (= ${binary:Version}), ${misc:Depends}, resource-agents
Description: OCF-compliant resource agents for Ceph
 Ceph is a distributed storage and network file system designed to provide
 excellent performance, reliability, and scalability.
 .
 This package contains the resource agents (RAs) which integrate
 Ceph with OCF-compliant cluster resource managers,
 such as Pacemaker.

Package: librados2
Architecture: linux-any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: librados, librados1, libcrush, libcrush1
Replaces: librados, librados1, libcrush, libcrush1
Description: RADOS distributed object store client library
 RADOS is a reliable, autonomic distributed object storage cluster
 developed as part of the Ceph distributed storage system.  This is a
 shared library allowing applications to access the distributed object
 store using a simple file-like interface.

Package: librados2-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: librados2 (= ${binary:Version}), ${misc:Depends}
Conflicts: librados1-dbg, libcrush1-dbg
Replaces: librados1-dbg, libcrush1-dbg
Description: debugging symbols for librados2
 RADOS is a reliable, autonomic distributed object storage cluster
 developed as part of the Ceph distributed storage system.  This is a
 shared library allowing applications to access the distributed object
 store using a simple file-like interface.
 .
 This package contains debugging symbols for librados2.

Package: librados-dev
Architecture: linux-any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, librados2 (= ${binary:Version})
Conflicts: librados1-dev, libcrush-dev, libcrush1-dev
Replaces: librados1-dev, libcrush-dev, libcrush1-dev
Description: RADOS distributed object store client library (development files)
 RADOS is a reliable, autonomic distributed object storage cluster
 developed as part of the Ceph distributed storage system.  This is a
 shared library allowing applications to access the distributed object
 store using a simple file-like interface.
 .
 This package contains development files needed for building applications that
 link against librados2.

Package: librbd1
Architecture: linux-any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, librados2 (= ${binary:Version})
Description: RADOS block device client library
 RBD is a block device striped across multiple distributed objects
 in RADOS, a reliable, autonomic distributed object storage cluster
 developed as part of the Ceph distributed storage system.  This is a
 shared library allowing applications to manage these block devices.

Package: librbd1-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: librbd1 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for librbd1
 RBD is a block device striped across multiple distributed objects
 in RADOS, a reliable, autonomic distributed object storage cluster
 developed as part of the Ceph distributed storage system.  This is a
 shared library allowing applications to manage these block devices.
 .
 This package contains debugging symbols for librbd1.

Package: librbd-dev
Architecture: linux-any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, librbd1 (= ${binary:Version}), librados-dev
Conflicts: librbd1-dev
Replaces: librbd1-dev
Description: RADOS block device client library (development files)
 RBD is a block device striped across multiple distributed objects
 in RADOS, a reliable, autonomic distributed object storage cluster
 developed as part of the Ceph distributed storage system.  This is a
 shared library allowing applications to manage these block devices.
 .
 This package contains development files needed for building applications that
 link against librbd1.

Package: libcephfs1
Architecture: linux-any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libceph, libceph1
Replaces: libceph, libceph1
Description: Ceph distributed file system client library
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 shared library allowing applications to access a Ceph distributed
 file system via a POSIX-like interface.

Package: libcephfs1-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: libcephfs1 (= ${binary:Version}), ${misc:Depends}
Conflicts: libceph1-dbg
Replaces: libceph1-dbg
Description: debugging symbols for libcephfs1
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 shared library allowing applications to access a Ceph distributed
 file system via a POSIX-like interface.
 .
 This package contains debugging symbols for libcephfs1.

Package: libcephfs-dev
Architecture: linux-any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libcephfs1 (= ${binary:Version})
Conflicts: libceph1-dev, libceph-dev
Replaces: libceph1-dev, libceph-dev
Description: Ceph distributed file system client library (development files)
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 shared library allowing applications to access a Ceph distributed
 file system via a POSIX-like interface.
 .
 This package contains development files needed for building applications that
 link against libcephfs1.

Package: obsync
Architecture: linux-any
Depends: ${misc:Depends}, python, python-boto, python-ceph, python-pyxattr, python-lxml
Description: synchronize data between cloud object storage providers or a local directory
 obsync is a tool to synchronize objects between cloud object
 storage providers, such as Amazon S3 (or compatible services), a
 Ceph RADOS cluster, or a local directory.

Package: python-ceph
Architecture: linux-any
Section: python
Depends: ${misc:Depends}, ${python:Depends}, librados2, librgw1
Description: Python libraries for the Ceph distributed filesystem
 Ceph is a distributed storage and network file system designed to provide
 excellent performance, reliability, and scalability.
 .
 This package contains Python libraries for interacting with Ceph's
 RADOS object storage, and RBD (RADOS block device).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
export DH_VERBOSE=1
export DESTDIR=$(CURDIR)/debian/tmp

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  MAKEFLAGS += -j$(NUMJOBS)
endif

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# Recommended snippet for Autoconf 2.52 or later
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

export DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

extraopts += --with-ocf

ifeq ($(DEB_HOST_ARCH), armel)
  # armel supports ARMv4t or above instructions sets.
  # libatomic-ops is only usable with Ceph for ARMv6 or above.
  extraopts += --without-libatomic-ops
endif

# google-perftools not in MAIN yet.
#ifneq ($(DEB_HOST_ARCH), i386)
#ifneq ($(DEB_HOST_ARCH), amd64)
  # libgoogle-perftools-dev is only available on i386 and amd64
  extraopts += --without-tcmalloc
#endif
#endif

#ifeq ($(shell grep -c -E '^Build-Depends:(.*,)?[[:space:]]*libgoogle-perftools-dev([[:space:]]|,|$$)' debian/control),0)
#  # if Build-Deps have been edited to skip libgoogle-perftools-dev (as
#  # we do for Debian lenny), tell configure it's ok to not have
#  # tcmalloc.
#  extraopts += --without-tcmalloc
#endif

extraopts += --without-radosgw --without-fuse

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch $@

build-arch: build
build-indep: build

build: build-stamp
build-stamp: configure-stamp
	dh_testdir

	./autogen.sh
	./configure --prefix=/usr --sbindir=/sbin --localstatedir=/var \
	  --sysconfdir=/etc $(extraopts) $(confflags)
	$(MAKE)

	cp src/init-ceph debian/ceph.init
	cp src/logrotate.conf debian/ceph.logrotate

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f aclocal.m4 compile config.sub config.guess config.log depcomp \
	  install-sh ltmain.sh missing
	rm -f configure Makefile.in man/Makefile.in
	cd src/ && rm -f Makefile.in acconfig.h.in gtest/aclocal.m4 \
		gtest/configure gtest/Makefile.in ocf/Makefile.in
	cd src/gtest/build-aux/ &&  rm -f config.guess config.h.in \
		config.sub depcomp install-sh  ltmain.sh  missing

	rm -f debian/ceph.init debian/ceph.logrotate

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	$(MAKE) DESTDIR=$(DESTDIR) install
	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`
	install -D -m 644 udev/50-rbd.rules $(DESTDIR)/lib/udev/rules.d/50-rbd.rules

# Add here commands to install the package into debian/testpack.
# Build architecture-independent files here.
binary-indep: build install

# We have nothing to do by default.
# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs --all ChangeLog
	dh_installexamples
	dh_install --sourcedir=$(DESTDIR) --list-missing
	dh_installlogrotate
	dh_installinit --no-start
	dh_installman
	dh_lintian
	dh_link

	dh_strip -pceph --dbg-package=ceph-dbg -k --exclude=libcls_
	dh_strip -pceph-mds --dbg-package=ceph-mds-dbg -k --exclude=libcls_
	dh_strip -pceph-common --dbg-package=ceph-common-dbg
	dh_strip -pceph-fs-common --dbg-package=ceph-fs-common-dbg
	dh_strip -plibrados2 --dbg-package=librados2-dbg
	dh_strip -plibrbd1 --dbg-package=librbd1-dbg
	dh_strip -plibcephfs1 --dbg-package=libcephfs1-dbg
	dh_strip -pgceph --dbg-package=gceph-dbg

	dh_compress
	dh_fixperms
	dh_makeshlibs -n  # we do the postinst/postrm scripts manually
	dh_python2
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## ceph 0.43

=== debian/changelog ===
ceph (0.43-1) unstable; urgency=low

  * New upstream release, now creates /var/run/ceph on each start
    (closes: #660238).
  * Update debian/copyright .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 26 Feb 2012 04:07:02 +0100

=== debian/control ===
--- 
+++ 
@@ -4,24 +4,21 @@
 Homepage: http://ceph.newdream.net/
 Vcs-Git: git://github.com/NewDreamNetwork/ceph.git
 Vcs-Browser: https://github.com/NewDreamNetwork/ceph
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
 Uploaders: Sage Weil <sage@newdream.net>
-Build-Depends: debhelper (>= 6.0.7~), autotools-dev, autoconf, automake, libtool, pkg-config, libboost-dev, libedit-dev, libnss3-dev, libexpat1-dev, libatomic-ops-dev, libkeyutils-dev, libgtkmm-2.4-dev, python-dev, libcurl4-gnutls-dev, uuid-dev, python (>= 2.6.6-3~)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 6.0.7~), python-support (>= 0.5.3), autotools-dev, autoconf, automake, libtool, pkg-config, libfuse-dev, libboost-dev, libedit-dev, libcrypto++-dev, libexpat1-dev, libfcgi-dev, libatomic-ops-dev, libgoogle-perftools-dev [i386 amd64], libkeyutils-dev, libgtkmm-2.4-dev, python, python-dev, libcurl4-gnutls-dev, uuid-dev, libaio-dev
+Standards-Version: 3.9.3
 
 Package: ceph
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, hdparm | sdparm, binutils, ceph-common
-Recommends: libcephfs1, librados2, librbd1, btrfs-tools, gceph
-Description: distributed storage
+Recommends: ceph-fuse, libcephfs1, librados2, librbd1, btrfs-tools, gceph
+Description: distributed storage and file system
  Ceph is a distributed storage and network file system designed to provide
  excellent performance, reliability, and scalability.
  .
  This package contains all server daemons and management tools for creating,
- running, and administering a Ceph storage cluster. This does not include
- the POSIX filesystem server, as that has been split into the ceph-mds
- package.
+ running, and administering a Ceph storage cluster.
 
 Package: ceph-dbg
 Architecture: linux-any
@@ -34,27 +31,6 @@
  .
  This package contains the debugging symbols for ceph.
 
-Package: ceph-mds
-Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ceph, ceph-fs-common
-Description: distributed filesystem service
- Ceph is a distributed storage and network file system designed to provide
- excellent performance, reliability, and scalability.
- .
- This package contains the ceph-mds daemon, used for serving the distributed
- ceph filesystem on top of the distributed storage cluster.
-
-Package: ceph-mds-dbg
-Architecture: linux-any
-Section: debug
-Priority: extra
-Depends: ceph (= ${binary:Version}), ${misc:Depends}
-Description: debugging symbols for ceph
- Ceph is a distributed storage and network file system designed to provide
- excellent performance, reliability, and scalability.
- .
- This package contains the debugging symbols for ceph-mds
-
 Package: gceph
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -78,6 +54,36 @@
  command.
  .
  This package contains the debugging symbols for gceph.
+
+Package: ceph-fuse
+Architecture: linux-any
+Depends: ${shlibs:Depends}, ${misc:Depends}, libfuse2
+Recommends: fuse-utils
+Suggests: ceph
+Description: FUSE-based client for the Ceph distributed file system
+ Ceph is a distributed network file system designed to provide
+ excellent performance, reliability, and scalability.  This is a
+ FUSE-based client that allows one to mount a Ceph file system without
+ root privileges.
+ .
+ Because the FUSE-based client has certain inherent performance
+ limitations, it is recommended that the native Linux kernel client
+ be used if possible.  If it is not practical to load a kernel module
+ (insufficient privileges, older kernel, etc.), then the FUSE client will
+ do.
+
+Package: ceph-fuse-dbg
+Architecture: linux-any
+Section: debug
+Priority: extra
+Depends: ceph-fuse (= ${binary:Version}), ${misc:Depends}
+Description: debugging symbols for ceph-fuse
+ Ceph is a distributed network file system designed to provide
+ excellent performance, reliability, and scalability.  This is a
+ FUSE-based client that allows one to mount a Ceph file system without
+ root privileges.
+ .
+ This package contains the debugging symbols for ceph-fuse.
 
 Package: ceph-common
 Architecture: linux-any
@@ -105,35 +111,6 @@
  ceph fs with the kernel client.
  .
  This package contains the debugging symbols for ceph-common.
-
-Package: ceph-fs-common
-Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ceph-common (= ${binary:Version})
-Conflicts: ceph-client-tools
-Replaces: ceph-client-tools
-Suggests: ceph
-Description: common utilities to mount and interact with a ceph filesystem
- Ceph is a distributed network file system designed to provide
- excellent performance, reliability, and scalability.  This is a collection
- of common tools, including the mount utility, that allows one to mount the
- ceph fs with the kernel client.
- .
- This package contains common utilities for the Ceph filesystem.
-
-Package: ceph-fs-common-dbg
-Architecture: linux-any
-Depends: ceph-fs-common (= ${binary:Version}), ${misc:Depends}
-Conflicts: ceph-client-tools-dbg
-Replaces: ceph-client-tools-dbg
-Section: debug
-Priority: extra
-Description: debugging symbols for ceph-fs-common
- Ceph is a distributed network file system designed to provide
- excellent performance, reliability, and scalability.  This is a collection
- of common tools, including the mount utility, that allows one to mount the
- ceph fs with the kernel client.
- .
- This package contains the debugging symbols for ceph-fs-common.
 
 Package: ceph-resource-agents
 Architecture: linux-any
@@ -270,21 +247,56 @@
  This package contains development files needed for building applications that
  link against libcephfs1.
 
-Package: obsync
-Architecture: linux-any
-Depends: ${misc:Depends}, python, python-boto, python-ceph, python-pyxattr, python-lxml
-Description: synchronize data between cloud object storage providers or a local directory
- obsync is a tool to synchronize objects between cloud object
- storage providers, such as Amazon S3 (or compatible services), a
- Ceph RADOS cluster, or a local directory.
-
-Package: python-ceph
-Architecture: linux-any
-Section: python
-Depends: ${misc:Depends}, ${python:Depends}, librados2, librgw1
-Description: Python libraries for the Ceph distributed filesystem
- Ceph is a distributed storage and network file system designed to provide
- excellent performance, reliability, and scalability.
- .
- This package contains Python libraries for interacting with Ceph's
- RADOS object storage, and RBD (RADOS block device).
+Package: librgw1
+Conflicts: librgw
+Replaces: librgw
+Architecture: linux-any
+Section: libs
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: radosgw data access library
+ radosgw is a REST gateway for RADOS distributed object store.
+ librgw contains support for reading and writing objects in the
+ format expected by radosgw.
+
+Package: librgw1-dbg
+Architecture: linux-any
+Section: debug
+Priority: extra
+Depends: librgw1 (= ${binary:Version}), ${misc:Depends}
+Description: debugging symbols for librgw
+ radosgw is a REST gateway for RADOS distributed object store.
+ librgw contains support for reading and writing objects in the
+ format expected by radosgw.
+ .
+ This package contains debugging symbols for librgw.
+
+Package: librgw-dev
+Architecture: linux-any
+Section: libdevel
+Depends: ${misc:Depends}, librgw1 (= ${binary:Version})
+Description: RGW distributed object store client library (development files)
+ radosgw is a REST gateway for RADOS distributed object store.
+ librgw contains support for reading and writing objects in the
+ format expected by radosgw.
+ .
+ This package contains development files needed for building applications that
+ link against librgw.
+
+Package: radosgw
+Architecture: linux-any
+Depends: ${shlibs:Depends}, ${misc:Depends}, ceph-common, libexpat1, librados2 (= ${binary:Version})
+Description: REST gateway for RADOS distributed object store
+ RADOS is a distributed object store used by the Ceph distributed
+ storage system.  This package provides a REST gateway to the
+ object store that aims to implement a superset of Amazon's S3
+ service.
+ .
+ This package contains the proxy daemon and related tools only.
+
+Package: radosgw-dbg
+Architecture: linux-any
+Section: debug
+Priority: extra
+Depends: radosgw (= ${binary:Version}), ${misc:Depends}
+Description: debugging symbols for radosgw
+ RADOS is a distributed object store used by the Ceph distributed

=== debian/rules ===
--- 
+++ 
@@ -28,22 +28,19 @@
   extraopts += --without-libatomic-ops
 endif
 
-# google-perftools not in MAIN yet.
-#ifneq ($(DEB_HOST_ARCH), i386)
-#ifneq ($(DEB_HOST_ARCH), amd64)
+ifneq ($(DEB_HOST_ARCH), i386)
+ifneq ($(DEB_HOST_ARCH), amd64)
   # libgoogle-perftools-dev is only available on i386 and amd64
   extraopts += --without-tcmalloc
-#endif
-#endif
+endif
+endif
 
-#ifeq ($(shell grep -c -E '^Build-Depends:(.*,)?[[:space:]]*libgoogle-perftools-dev([[:space:]]|,|$$)' debian/control),0)
-#  # if Build-Deps have been edited to skip libgoogle-perftools-dev (as
-#  # we do for Debian lenny), tell configure it's ok to not have
-#  # tcmalloc.
-#  extraopts += --without-tcmalloc
-#endif
-
-extraopts += --without-radosgw --without-fuse
+ifeq ($(shell grep -c -E '^Build-Depends:(.*,)?[[:space:]]*libgoogle-perftools-dev([[:space:]]|,|$$)' debian/control),0)
+  # if Build-Deps have been edited to skip libgoogle-perftools-dev (as
+  # we do for Debian lenny), tell configure it's ok to not have
+  # tcmalloc.
+  extraopts += --without-tcmalloc
+endif
 
 configure: configure-stamp
 configure-stamp:
@@ -54,7 +51,7 @@
 build-indep: build
 
 build: build-stamp
-build-stamp: configure-stamp
+build-stamp: configure-stamp  
 	dh_testdir
 
 	./autogen.sh
@@ -63,6 +60,7 @@
 	$(MAKE)
 
 	cp src/init-ceph debian/ceph.init
+	cp src/init-radosgw debian/radosgw.init
 	cp src/logrotate.conf debian/ceph.logrotate
 
 	touch $@
@@ -81,7 +79,7 @@
 	cd src/gtest/build-aux/ &&  rm -f config.guess config.h.in \
 		config.sub depcomp install-sh  ltmain.sh  missing
 
-	rm -f debian/ceph.init debian/ceph.logrotate
+	rm -f debian/ceph.init debian/radosgw.init debian/ceph.logrotate
 
 	dh_clean
 
@@ -115,18 +113,19 @@
 	dh_link
 
 	dh_strip -pceph --dbg-package=ceph-dbg -k --exclude=libcls_
-	dh_strip -pceph-mds --dbg-package=ceph-mds-dbg -k --exclude=libcls_
+	dh_strip -pceph-fuse --dbg-package=ceph-fuse-dbg
 	dh_strip -pceph-common --dbg-package=ceph-common-dbg
-	dh_strip -pceph-fs-common --dbg-package=ceph-fs-common-dbg
 	dh_strip -plibrados2 --dbg-package=librados2-dbg
 	dh_strip -plibrbd1 --dbg-package=librbd1-dbg
 	dh_strip -plibcephfs1 --dbg-package=libcephfs1-dbg
+	dh_strip -pradosgw --dbg-package=radosgw-dbg
 	dh_strip -pgceph --dbg-package=gceph-dbg
+	dh_strip -plibrgw1 --dbg-package=librgw1-dbg
 
 	dh_compress
 	dh_fixperms
 	dh_makeshlibs -n  # we do the postinst/postrm scripts manually
-	dh_python2
+	dh_pysupport
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol

## ceph 0.48

=== debian/changelog ===
ceph (0.48-2) unstable; urgency=low

  * Update Standards-Version to 3.9.4 .

  [ Hilko Bengen <bengen@debian.org> ]
  * Link with libboost_system, add necessary build-dependency
    (closes: #720798).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 28 Aug 2013 00:32:03 +0200

ceph (0.48-1.1) unstable; urgency=low

  * Non-maintainer upload, fixing two RC bugs:
    - Clean up .symbols files (Closes: #679686)
    - Add patch to link librados-config against pthreads, fixing FTBFS
      (Closes: #713541); make sure that the resulting binary is stripped.
  * fuse-utils is obsolete (Closes: #698178)
  * Fix bashism in ceph-debugpack (Closes: #690654)
  * Update watch file
  * Do not install .la files

 -- Hilko Bengen <bengen@debian.org>  Tue, 02 Jul 2013 22:39:07 +0200

ceph (0.48-1) unstable; urgency=low

  * New upstream release, the first with long-term support.
  * As gceph dropped by upstream, remove it from packaging.
  * Build with hardening enabled and build-conflict with libcryptopp not to
    mix up with libnss.
  * Use symbol versioning (closes: #679686).
  * Update debian/watch to GitHub tags.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 07 Jul 2012 07:53:40 +0200

ceph (0.47.2-1) unstable; urgency=low

  * New upstream release.
  * Use system leveldb (closes: #667907).
  * Remove librgw1 , librgw-dev and librgw1-dbg and add rest-bench and
    rest-bench-dbg packages.
  * Backport leveldb build fixes from upstream git as
    fix_leveldb_dep_for_system_library_case.patch and
    fix_leveldb_includes_for_system_library_case.patch .
  * Update packaging.
  * Sync with Ubuntu: switch build-dependency from libcryptopp to libnss as
    libcryptopp is not seeded.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 03 Jun 2012 13:37:52 +0200

ceph (0.44.1-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Fri, 06 Apr 2012 01:10:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,21 @@
 Source: ceph
 Section: admin
 Priority: optional
-Homepage: http://ceph.newdream.net/
-Vcs-Git: git://github.com/NewDreamNetwork/ceph.git
-Vcs-Browser: https://github.com/NewDreamNetwork/ceph
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
+Homepage: http://ceph.com/
+Vcs-Git: git://github.com/ceph/ceph.git
+Vcs-Browser: https://github.com/ceph/ceph
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Uploaders: Sage Weil <sage@newdream.net>
-Build-Depends: debhelper (>= 6.0.7~), python-support (>= 0.5.3), autotools-dev, autoconf, automake, libtool, pkg-config, libfuse-dev, libboost-dev, libedit-dev, libcrypto++-dev, libexpat1-dev, libfcgi-dev, libatomic-ops-dev, libgoogle-perftools-dev [i386 amd64], libkeyutils-dev, libgtkmm-2.4-dev, python, python-dev, libcurl4-gnutls-dev, uuid-dev, libaio-dev
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 6.0.7~), dpkg-dev (>= 1.16.1~), python-support (>= 0.5.3), autotools-dev, autoconf, automake, libtool, pkg-config, libfuse-dev, libboost-dev, libboost-system-dev, libedit-dev, libnss3-dev, libexpat1-dev, libfcgi-dev, libatomic-ops-dev, libgoogle-perftools-dev [i386 amd64], libkeyutils-dev, python (>= 2.6.6-3~), python-dev, libcurl4-gnutls-dev, uuid-dev, libaio-dev, libsnappy-dev, libleveldb-dev, libs3-dev
+Build-Conflicts: libcrypto++-dev
+Standards-Version: 3.9.4
 
 Package: ceph
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}, hdparm | sdparm, binutils, ceph-common
-Recommends: ceph-fuse, libcephfs1, librados2, librbd1, btrfs-tools, gceph
+Depends: ${shlibs:Depends}, ${misc:Depends}, hdparm | sdparm, binutils, ceph-common, uuid-runtime, python
+Conflicts: librgw1, librgw-dev, librgw1-dbg, gceph
+Replaces: librgw1, librgw-dev, librgw1-dbg, gceph
+Recommends: ceph-fuse, libcephfs1, librados2, librbd1, btrfs-tools
 Description: distributed storage and file system
  Ceph is a distributed storage and network file system designed to provide
  excellent performance, reliability, and scalability.
@@ -25,40 +28,18 @@
 Section: debug
 Priority: extra
 Depends: ceph (= ${binary:Version}), ${misc:Depends}
+Conflicts: gceph-dbg
+Replaces: gceph-dbg
 Description: debugging symbols for ceph
  Ceph is a distributed storage and network file system designed to provide
  excellent performance, reliability, and scalability.
  .
  This package contains the debugging symbols for ceph.
 
-Package: gceph
-Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: 
-Suggests: ceph
-Description: Graphical ceph cluster status utility
- Ceph is a distributed network file system designed to provide
- excellent performance, reliability, and scalability.  This is a
- gtk-based gui to monitor cluster status, similar to the 'ceph'
- command.
-
-Package: gceph-dbg
-Architecture: linux-any
-Section: debug
-Priority: extra
-Depends: gceph (= ${binary:Version}), ${misc:Depends}
-Description: debugging symbols for gceph
- Ceph is a distributed network file system designed to provide
- excellent performance, reliability, and scalability.  This is a
- gtk-based gui to monitor cluster status, similar to the 'ceph'
- command.
- .
- This package contains the debugging symbols for gceph.
-
 Package: ceph-fuse
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libfuse2
-Recommends: fuse-utils
+Recommends: fuse
 Suggests: ceph
 Description: FUSE-based client for the Ceph distributed file system
  Ceph is a distributed network file system designed to provide
@@ -247,41 +228,6 @@
  This package contains development files needed for building applications that
  link against libcephfs1.
 
-Package: librgw1
-Conflicts: librgw
-Replaces: librgw
-Architecture: linux-any
-Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: radosgw data access library
- radosgw is a REST gateway for RADOS distributed object store.
- librgw contains support for reading and writing objects in the
- format expected by radosgw.
-
-Package: librgw1-dbg
-Architecture: linux-any
-Section: debug
-Priority: extra
-Depends: librgw1 (= ${binary:Version}), ${misc:Depends}
-Description: debugging symbols for librgw
- radosgw is a REST gateway for RADOS distributed object store.
- librgw contains support for reading and writing objects in the
- format expected by radosgw.
- .
- This package contains debugging symbols for librgw.
-
-Package: librgw-dev
-Architecture: linux-any
-Section: libdevel
-Depends: ${misc:Depends}, librgw1 (= ${binary:Version})
-Description: RGW distributed object store client library (development files)
- radosgw is a REST gateway for RADOS distributed object store.
- librgw contains support for reading and writing objects in the
- format expected by radosgw.
- .
- This package contains development files needed for building applications that
- link against librgw.
-
 Package: radosgw
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ceph-common, libexpat1, librados2 (= ${binary:Version})
@@ -300,3 +246,43 @@
 Depends: radosgw (= ${binary:Version}), ${misc:Depends}
 Description: debugging symbols for radosgw
  RADOS is a distributed object store used by the Ceph distributed
+ storage system.  This package provides a REST gateway to the
+ object store that aims to implement a superset of Amazon's S3
+ service.
+ .
+ This package contains debugging symbols for radosgw.
+
+Package: rest-bench
+Architecture: linux-any
+Depends: ${shlibs:Depends}, ${misc:Depends}, ceph-common, xml2, curl
+Description: RESTful bencher that can be used to benchmark radosgw performance.
+ Simple tool to benchmark radosgw (or S3) (based on 'rados-bench' command).
+
+Package: rest-bench-dbg
+Architecture: linux-any
+Section: debug
+Priority: extra
+Depends: ${shlibs:Depends}, ${misc:Depends}, ceph-common, xml2, curl
+Description: RESTful bencher that can be used to benchmark radosgw performance.
+ Simple tool to benchmark radosgw (or S3) (based on 'rados-bench' command).
+ .
+ This package contains the debugging symbols for rest-bench.
+
+Package: obsync
+Architecture: linux-any
+Depends: ${misc:Depends}, python, python-boto, python-ceph, python-pyxattr, python-lxml
+Description: synchronize data between cloud object storage providers or a local directory
+ obsync is a tool to synchronize objects between cloud object
+ storage providers, such as Amazon S3 (or compatible services), a
+ Ceph RADOS cluster, or a local directory.
+
+Package: python-ceph
+Architecture: linux-any
+Section: python
+Depends: ${misc:Depends}, ${python:Depends}, librados2, librbd1
+Description: Python libraries for the Ceph distributed filesystem
+ Ceph is a distributed storage and network file system designed to provide
+ excellent performance, reliability, and scalability.
+ .
+ This package contains Python libraries for interacting with Ceph's
+ RADOS object storage, and RBD (RADOS block device).

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,19 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
-export DH_VERBOSE=1
+#export DH_VERBOSE=1
+
 export DESTDIR=$(CURDIR)/debian/tmp
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
+CFLAGS		?= $(shell dpkg-buildflags --get CFLAGS)
+CPPFLAGS	?= $(shell dpkg-buildflags --get CPPFLAGS)
+LDFLAGS		?= $(shell dpkg-buildflags --get LDFLAGS)
+CFLAGS		+= $(HARDENING_CFLAGS)
+CPPFLAGS	+= $(HARDENING_CFLAGS)
+LDFLAGS		+= $(HARDENING_LDFLAGS)
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
   NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -20,7 +32,7 @@
 
 export DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
-extraopts += --with-ocf
+extraopts += --with-ocf --with-rest-bench
 
 ifeq ($(DEB_HOST_ARCH), armel)
   # armel supports ARMv4t or above instructions sets.
@@ -45,6 +57,10 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
+	./autogen.sh
+	./configure --prefix=/usr --sbindir=/sbin --localstatedir=/var \
+	  --sysconfdir=/etc --with-system-leveldb --with-system-libs3 \
+	  $(extraopts) $(confflags)
 	touch $@
 
 build-arch: build
@@ -54,9 +70,6 @@
 build-stamp: configure-stamp  
 	dh_testdir
 
-	./autogen.sh
-	./configure --prefix=/usr --sbindir=/sbin --localstatedir=/var \
-	  --sysconfdir=/etc $(extraopts) $(confflags)
 	$(MAKE)
 
 	cp src/init-ceph debian/ceph.init
@@ -74,10 +87,12 @@
 	rm -f aclocal.m4 compile config.sub config.guess config.log depcomp \
 	  install-sh ltmain.sh missing
 	rm -f configure Makefile.in man/Makefile.in
+	rm -f py-compile
 	cd src/ && rm -f Makefile.in acconfig.h.in gtest/aclocal.m4 \
 		gtest/configure gtest/Makefile.in ocf/Makefile.in
 	cd src/gtest/build-aux/ &&  rm -f config.guess config.h.in \
 		config.sub depcomp install-sh  ltmain.sh  missing
+	rm -f src/leveldb/libleveldb.a
 
 	rm -f debian/ceph.init debian/radosgw.init debian/ceph.logrotate
 
@@ -86,11 +101,10 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
+	dh_prep
 	dh_installdirs
 
 	$(MAKE) DESTDIR=$(DESTDIR) install
-	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`
 	install -D -m 644 udev/50-rbd.rules $(DESTDIR)/lib/udev/rules.d/50-rbd.rules
 
 # Add here commands to install the package into debian/testpack.
@@ -102,10 +116,10 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs 
+	dh_installchangelogs
 	dh_installdocs --all ChangeLog
 	dh_installexamples
-	dh_install --sourcedir=$(DESTDIR) --list-missing
+	dh_install --sourcedir=$(DESTDIR) --list-missing -X.la
 	dh_installlogrotate
 	dh_installinit --no-start
 	dh_installman
@@ -119,13 +133,13 @@
 	dh_strip -plibrbd1 --dbg-package=librbd1-dbg
 	dh_strip -plibcephfs1 --dbg-package=libcephfs1-dbg
 	dh_strip -pradosgw --dbg-package=radosgw-dbg
-	dh_strip -pgceph --dbg-package=gceph-dbg
-	dh_strip -plibrgw1 --dbg-package=librgw1-dbg
+	dh_strip -prest-bench --dbg-package=rest-bench-dbg
+	dh_strip
 
 	dh_compress
 	dh_fixperms
 	dh_makeshlibs -n  # we do the postinst/postrm scripts manually
-	dh_pysupport
+	dh_python2
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol

=== debian/watch ===
version=3
https://github.com/ceph/ceph/tags .*/v(\d[\d\.]+)\.tar.*

## ceph 0.48.2

=== workunits/Makefile ===
DIRS = direct_io

all:
	for d in $(DIRS) ; do ( cd $$d ; $(MAKE) all ) ; done

=== debian/changelog ===
ceph (0.48.2-0ubuntu2) quantal; urgency=low

  * Fix crash in radosgw on armhf architecture (LP: #1049582):
    - debian/patches/extra-byte-for-null.patch: Cherry picked patch
      from upstream VCS. Thanks to Yehuda Sadeh for pointing to this
      fix.
  * d/ceph.lintian-overrides: Added libcls_rgw.so.1.0.0 to binaries
    which are not stripped.

 -- James Page <james.page@ubuntu.com>  Wed, 26 Sep 2012 13:28:15 +0100

ceph (0.48.2-0ubuntu1) quantal; urgency=low

  * New upstream patch release
  * d/control: Add gdisk as suggests for package ceph per upstream
    changes.
  * d/control: add /var/lib/ceph subdirs from upstream packaging.
  * d/ceph.install: install ceph-create-keys tool which was missing
    before.

 -- Clint Byrum <clint@ubuntu.com>  Thu, 20 Sep 2012 15:15:52 -0700

ceph (0.48.1-0ubuntu2) quantal; urgency=low

  * Remove manual calls to ldconfig (LP: #1017978):
    - d/lib{rados2|rbd1|cephfs1}.post*: Dropped - all these do is call
      ldconfig which will automatically be done. 
    - d/rules: Let dh_makeshlibs do its magic with postinst/postrm
      scripts but ensure that the .so's in ceph package are excluded.

 -- James Page <james.page@ubuntu.com>  Wed, 12 Sep 2012 10:36:57 +0100

ceph (0.48.1-0ubuntu1) quantal; urgency=low

  * New upstream point release.
  * d/rules: Install missing init script for radosgw.
  * d/orig-tar.sh: Just repack using bzip2; source format deals with
    upstream debian directory. Fixup to work correctly when downloading
    from github tags.

 -- James Page <james.page@ubuntu.com>  Mon, 27 Aug 2012 08:23:21 +0100

ceph (0.48-1ubuntu4) quantal; urgency=low

  * d/control: Re-instate building radosgw and rest-bench now that 
    libfcgi is approved for main.

 -- Clint Byrum <clint@fewbar.com>  Wed, 22 Aug 2012 01:13:21 -0700

ceph (0.48-1ubuntu3) quantal; urgency=low

  * Use google-perftools on i386 and amd64 architectures.

 -- James Page <james.page@ubuntu.com>  Tue, 14 Aug 2012 11:15:57 +0100

ceph (0.48-1ubuntu2) quantal; urgency=low

  * Drop use of in-tree dependencies, re-align with Debian:
    - d/patches/{intree_leveldb|add-powerpc-support}.patch: Dropped.
    - d/patches/series: Use patches to support lib{leveldb|s3}-dev usage.
    - d/control: BD on libsnappy-dev, liblevedb-dev, libs3-dev.
    - d/rules: Use system provided leveldb and libs3.
    - d/rules: Enable hardening.

 -- James Page <james.page@ubuntu.com>  Thu, 19 Jul 2012 08:28:18 +0100

ceph (0.48-1ubuntu1) quantal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Work with in-tree dependencies until MIR review completes:
      + d/patches/intree_leveldb.patch: temporary patch which inserts leveldb
        into the ceph src tree.
      + d/control,d/rules,d/p/series Don't use system leveldb and associated
        ceph patches; its not in main yet.
      + d/control,d/rules: Don't use system libs3; its not in main yet and
        is only required for rest-bench (which Ubuntu don't ship - see below).
      + d/patches/add-powerpc-support.patch: temporary patch to in-tree
        leveldb to fix FTBFS on powerpc.
      + d/rules: Disable hardening until intree leveldb is dropped.
    - d/rules,d/control: Drop radosgw and rest-bench since libfcgi is
      not in main yet.
    - d/rules,d/control: Drop tcmalloc use since google-perftools is not
      in main yet.
    - d/rules,d/control: Drop ceph-fuse entirely per MIR review recommendation.
    - d/control,d/ceph-fs-common.install,d/ceph-mds.install: Split out
      filesystem specific bits so they can be kept in universe.
    - d/control: Drop recommends on btrfs-tools.
    - d/control: Drop BD on python-support; its not required as the package
      uses dh_python2.
    - d/*.symbols: Drop for the time being; they are not correct and break
      builds other than amd64.
  * Dropped changes, now in Debian:
    - d/control: Switch from libcryptopp to libnss as libcryptopp.
    - d/rules: Move from python-support to dh_python2.
    - d/control: python-ceph - Dropped librgw1/added librbd1.
  * d/watch,d/orig-tar.sh: Updated watch to repack orig.tar.gz -> orig.tar.bz2
    and strip the upstream debian directory.
  * d/debian/ceph.lintian-overrides: Drop override for rgw library which is no
    longer shipped by upstream.
  * d/rules: Strip librados-dev package as it now contains a binary.

 -- James Page <james.page@ubuntu.com>  Mon, 16 Jul 2012 09:56:24 +0100

ceph (0.47.2-0ubuntu3) quantal; urgency=low

  * Remove btrfs-tools from Recommends (LP: #1016435).

 -- Paolo Rotolo <paolorotolo@ubuntu-it.org>  Sat, 23 Jun 2012 15:31:20 +0100

ceph (0.47.2-0ubuntu2) quantal; urgency=low

  * add-powerpc-support.patch: Fixes build failure on powerpc caused by
    the addition of an in-tree leveldb source build. Strongly suggest
    getting leveldb in main and using it to build against (using the
    --with-system-leveldb configure option).

 -- Ben Collins <bcollins@ubuntu.com>  Tue, 12 Jun 2012 15:12:26 -0400

ceph (0.47.2-0ubuntu1) quantal; urgency=low

  * New upstream release:
    - Dropped all patched; no longer required.
  * d/control: python-ceph - Dropped dependency on librgw1 and added dependency
    on librbd1 (LP: #981130).

 -- James Page <james.page@ubuntu.com>  Fri, 08 Jun 2012 17:12:27 +0100

ceph (0.44.1-1ubuntu1) quantal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control: Switch from libcryptopp to libnss as libcryptopp
      is not seeded.
    - d/control,d/rules: Move from python-support to dh_python2.
    - d/patches/manpage_updates*.patch: cherry picked upstream manpage
      updates warning about lack of encryption, per MIR review.
    - d/rules,d/control: Drop radosgw since libfcgi is not in main and
      the code may not be suitable for LTS.
    - d/rules,d/control: Drop tcmalloc since google perftools is not
      in main yet.
    - d/rules,d/control: Drop ceph-fuse entirely per MIR review
      recommendation.


=== debian/watch ===
version=3
https://github.com/ceph/ceph/tags .*/tarball/v(\d[\d\.]+).* debian debian/orig-tar.sh
